commit cc9dca6eda9778acb49bc0357baff33742904eb9
Author: freddy77 <freddy77>
Date:   Sun Dec 13 10:36:54 2009 +0000

    Style and comments

diff --git a/ChangeLog b/ChangeLog
index c063433..2dd1e37 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Sun Dec 13 11:36:48 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/ctlib/unittests/t0006.c: Style and comments
+
 Sun Dec 13 10:48:42 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/ctlib/ct.c:
 	- Fix problem with long binary managed as char type (patch from
@@ -1967,4 +1970,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2901 2009/12/13 09:48:55 freddy77 Exp $
+$Id: ChangeLog,v 1.2902 2009/12/13 10:36:54 freddy77 Exp $
diff --git a/src/ctlib/unittests/t0006.c b/src/ctlib/unittests/t0006.c
index 5725ca2..0d98faa 100644
--- a/src/ctlib/unittests/t0006.c
+++ b/src/ctlib/unittests/t0006.c
@@ -9,21 +9,15 @@
 #include <stdio.h>
 #include <ctpublic.h>
 
-static char software_version[] = "$Id: t0006.c,v 1.11 2005/06/29 07:21:08 freddy77 Exp $";
+static char software_version[] = "$Id: t0006.c,v 1.12 2009/12/13 10:36:54 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 CS_CONTEXT *ctx;
-int allSuccess = 1;
+static int allSuccess = 1;
 
 typedef const char *STR;
 
-int DoTest(CS_INT fromtype, void *fromdata, CS_INT fromlen,
-	   CS_INT totype, CS_INT tomaxlen,
-	   CS_RETCODE tores, void *todata, CS_INT tolen,
-	   STR sdecl,
-	   STR sfromtype, STR sfromdata, STR sfromlen, STR stotype, STR stomaxlen, STR stores, STR stodata, STR stolen, int line);
-
-int
+static int
 DoTest(
 	      /* source information */
 	      CS_INT fromtype, void *fromdata, CS_INT fromlen,
@@ -31,8 +25,11 @@ DoTest(
 	      CS_INT totype, CS_INT tomaxlen,
 	      /* expected result */
 	      CS_RETCODE tores, void *todata, CS_INT tolen,
+	      /* fields in string format */
 	      STR sdecl,
-	      STR sfromtype, STR sfromdata, STR sfromlen, STR stotype, STR stomaxlen, STR stores, STR stodata, STR stolen, int line)
+	      STR sfromtype, STR sfromdata, STR sfromlen, STR stotype, STR stomaxlen, STR stores, STR stodata, STR stolen,
+	      /* source line number for error reporting */
+	      int line)
 {
 	CS_DATAFMT destfmt, srcfmt;
 	CS_INT reslen;

